# Uses of Class
org.apache.avro.ipc.Responder

Packages that use Responder
Package
Description
org.apache.avro.ipc
Support for inter-process calls.
org.apache.avro.ipc.generic
org.apache.avro.ipc.reflect
org.apache.avro.ipc.specific

## Uses of Responder in org.apache.avro.ipc

Methods in org.apache.avro.ipc with parameters of type Responder
Modifier and Type
Method
Description
`static Server`
Ipc.`createServer(Responder responder, URI uri)`
Create a `Server` listening at the named URI using the provided responder.
Constructors in org.apache.avro.ipc with parameters of type Responder
Modifier
Constructor
Description
``
`DatagramServer(Responder responder, SocketAddress addr)`
``
`LocalTransceiver(Responder responder)`
``
`ResponderServlet(Responder responder)`
``
`SaslSocketServer(Responder responder, SocketAddress addr)`
Create using SASL's anonymous (RFC 2245) mechanism.
``
`SaslSocketServer(Responder responder, SocketAddress addr, String mechanism, String protocol, String serverName, Map<String,?> props, CallbackHandler cbh)`
Create using the specified `SaslServer` parameters.
``
`SocketServer(Responder responder, SocketAddress addr)`
Deprecated.

## Uses of Responder in org.apache.avro.ipc.generic

Subclasses of Responder in org.apache.avro.ipc.generic
Modifier and Type
Class
Description
`class`
`GenericResponder`
`Responder` implementation for generic Java data.

## Uses of Responder in org.apache.avro.ipc.reflect

Subclasses of Responder in org.apache.avro.ipc.reflect
Modifier and Type
Class
Description
`class`
`ReflectResponder`
`Responder` for existing interfaces.

## Uses of Responder in org.apache.avro.ipc.specific

Subclasses of Responder in org.apache.avro.ipc.specific
Modifier and Type
Class
Description
`class`
`SpecificResponder`
`Responder` for generated interfaces.